<<

# Bugzilla::Version

- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS

# NAME

Bugzilla::Version - Bugzilla product version class.

# SYNOPSIS

        use Bugzilla::Version;

        my $version = new Bugzilla::Version({ name => $name, product => $product_obj });
        my $version = Bugzilla::Version->check({ name => $name, product => $product_obj });
        my $version = Bugzilla::Version->check({ id => $id });

        my $value = $version->name;
        my $product_id = $version->product_id;
        my $product = $version->product;

        my $version = Bugzilla::Version->create(
            { value => $name, product => $product_obj });

        $version->set_name($new_name);
        $version->update();

        $version->remove_from_db;

# DESCRIPTION

Version.pm represents a Product Version object. It is an implementation of Bugzilla::Object, and thus provides all methods that Bugzilla::Object provides.

The methods that are specific to `Bugzilla::Version` are listed below.

# METHODS

`bug_count()`

       Description: Returns the total of bugs that belong to the version.

       Params:      none.

       Returns:     Integer with the number of bugs.

<<